
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>很有意思，如何把代码看成一个犯罪现场 / iVAN</title>

    <meta name="description" content="很有意思，如何把代码看成一个犯罪现场 以近些年来涌现出的工具和相关文献的数量来看,度量软件的复杂度是软件开发社区之中流行且常见的活动.Adam Tornhill 从其工程和心理学背景出发,在 QCon 伦敦上建议大家在版本控制工具的帮助下把代码当成一个犯罪现场看待. Tornhill 认为目前对软件复杂度的度量是不完美的.于是他转向从心理学知识中寻找答案.地理罪犯分析(Geographical offender profiling)调查法基于了这样一个原则:罪犯的老窝往往就在他/她作案地点的边界之内. 在诸如 CodeCity 等工">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">很有意思，如何把代码看成一个犯罪现场</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>以近些年来涌现出的工具和相关文献的数量来看，度量软件的复杂度是软件开发社区之中流行且常见的活动。<a href="http://www.adamtornhill.com/" rel="external nofollow noreferrer">Adam Tornhill</a> 从其工程和心理学背景出发，在 <a href="http://qconlondon.com/" rel="external nofollow noreferrer">QCon 伦敦</a>上建议大家在版本控制工具的帮助下把代码当成一个犯罪现场看待。</p>
<p>Tornhill 认为目前对软件复杂度的度量是不完美的。于是他转向从心理学知识中寻找答案。<a href="http://www.forenspsych.co.uk/Geographical.html" rel="external nofollow noreferrer">地理罪犯分析</a>（Geographical offender profiling）调查法基于了这样一个原则：罪犯的老窝往往就在他/她作案地点的边界之内。</p>
<p>在诸如 <a href="http://www.inf.usi.ch/phd/wettel/codecity.html" rel="external nofollow noreferrer">CodeCity</a> 等工具的帮助下，Tornhill 将这一原则应用到代码上。其背后的思想是为代码创造地理呈现。区域和建筑物映射代码的结构，如包或类。代码属性（如代码行数或方法数量）决定区域和建筑物的尺寸。然后，<a>Tornhill 借助于版本控制工具，将这些代码结构信息与代码中他所谓的空间运动进行了结合。</a></p>
<p>版本控制工具提供了大量取证细节，诸如何人、何时、在版本库的何处做了改变。将这一空间信息与代码结构相结合，则突出了热点。Tornhill<br />
宣称在一个案例分析中（40 万行代码，89 名开发人员，18000+ 次提交）有 8 个缺陷集中区域，72% 的缺陷集中在4%<br />
的代码中，用热点精确定位了其中的 7 个区域。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczQuNTFjdG8uY29tL3d5ZnMwMi9NMDIvNUIvMjcvd0tpb0wxVUJBSnJCSkZnckFBQktmaW15MkRRMTc4LmpwZy13aF82NTF4LXNfMTUzNTIyNTYxMy5qcGc=.jpg"></p>
<p>一个热点被高亮的代码城市。</p>
<p>使用版本控制信息可以做时空耦合分析。如果两个代码文件在同一时间发生改变，这意味着文件之间是物理耦合的，例如：一个类调用另一个。然而它们可能只是逻辑形式上的耦合，常见的拷贝-粘贴就会出现这样的结果。如果没有时空耦合分析的话，会很容易忽略掉这些问题。</p>
<p>时空耦合分析在其它方面也很有用。当来自于不同团队的人在同一时间改变不同组件时，它可以指出其变化模式。这个模式可以提示系统的体系结构和团队结构之间的不一致，而这种不一致会导致从提出变更请求到部署上线之间更长的周期时间。</p>
<p>版本控制信息也可以用于挖掘知识的所有者和组件的所有权。如果一个开发人员是一个给定代码文件或组件的主要提交者，那么我们可以有把握地认为他就是这个组件的知识所有者，哪怕他不在负责这个组件的团队中。这也意味着“撞车”将有迹可循并得以缓解。在更极端的案例中，知识所有者已经不在公司里了，那么就会出现知识的缺口。这些技术帮助发现这些缺口并弥合它们。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDIvNUIvMkQvd0tpb20xVUFfM3ZSZVZxc0FBQmx3enF0a0c4NDYxLmpwZw==.jpg"></p>
<p>版本控制取证显示组件的有效所有权。</p>
<p>Tornhill 正就这一话题<a href="https://pragprog.com/book/atcrime/your-code-as-a-crime-scene" rel="external nofollow noreferrer">写一本书</a>，目前在 Beta 状态。The Pragmatic Bookshelf 将于近期出版该书，预计出版日期是 2015 年 3 月 10 日。</p>
<p>作者：João Miranda</p>
<p>来源：51CTO</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 07:29:00</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>很有意思，如何把代码看成一个犯罪现场的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPxl3Ap.html" rel="bookmark">代码即犯罪现场</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以近些年来涌现出的工具和相关文献的数量来看,度量软件的复杂度是软件开发社区之中流行且常见的活动.Adam Tornhill 从其工程和心理学背景出发,在 QCon 伦敦上建议大家在版本控制工具的帮助下把代码当成一个犯罪现场看待. Tornhill 认为目前对软件复杂度的度量是不完美的.于是他转向从心理学知识中寻找答案.地理罪犯分析(Geographical offender profiling)调查法基于了这样一个原则:罪犯的老窝往往就在他/她作案地点的边界之内. 在诸如 CodeCity 等工			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My30Wlz.html" rel="bookmark">c&plus;&plus;-Clist中包含Clist的变量，无法初始化  &OpenCurlyDoubleQuote;很有意思的一个题目&rdquo;  大侠路过请留步，谢谢</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Clist中包含Clist的变量,无法初始化 &quot;很有意思的一个题目&quot; 大侠路过请留步,谢谢 最外层:typedef Clist MOUDLE; structA{ type A; ... MAC mac; } MAC的定义为:typedef Clist MAC; 在全局或局部定义MOUDLE md:时报错: 1&gt;D:Program Files (x86)Microsoft Visual Studio 10.0VCatlmfcincludeafxtempl.h(771):			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgPlVmp.html" rel="bookmark">代码-求一个很有难度的算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 求一个很有难度的算法 给一个数组,长度为m,划分成n个子数组(每个数组起码有一个元素),比如 {1 2 3 4 5}划分成2个: 1, 2345 12,345 123,45 1234,5一共5个分法 {1234}分成3个 1,2,34 1,23,4 12,3,4,一共3个分法 求代码怎么写 解决方案 可以递归实现,如果你能采纳,可以再给你一些代码			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxPJLOM.html" rel="bookmark">12行javascript代码绘制一个八卦图</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 一句话说明:用有限的代码构建一个1024*1024的颜色矩阵,秀出你的编程&amp;艺术之美 起源于 stackexchange 上的一个问题, 这里稍微做了一下扩展,支持更多编程语言,并放宽了代码长度的限制. 规则 目标: 通过实现 模版 中的一个函数 get_color_at(x, y) ,在一个 1024*1024 的画布上画出尽可能 &quot;有意思&quot; 的图案. 参数: int x, int y ,取值均为 0 - 1023,对应画布上坐标点,左上角为起始点 (0,0) 返回: in			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdREY3b.html" rel="bookmark">c语言-以下异或加密代码提示一个奇怪的问题，数字上的错误后缀</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 以下异或加密代码提示一个奇怪的问题,数字上的错误后缀 void EncryptXOR (long s[8]) { char key[4] = { 'mque' }; int a[4],b[4]; for (int i= 0; i&lt;= 3; i++) { a[i] = int(s[2i+1] * 16 + s[2i]); } for (int j = 0; j &lt;= 3; j++) { b[j] = a[3-j] ^int( key[j]); printf(&quot;%c&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3Zaewz.html" rel="bookmark">使用70行Python代码实现一个递归下降解析器的教程&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 第一步:标记化 处理表达式的第一步就是将其转化为包含一个个独立符号的列表.这一步很简单,且不是本文的重点,因此在此处我省略了很多. 首先,我定义了一些标记(数字不在此中,它们是默认的标记)和一个标记类型:   token_map = {'+':'ADD', '-':'ADD', '*':'MUL', '/':'MUL', '(':'LPAR', ')':'RPAR'} Token = namedtuple('Token', ['name', 'value']) 下面就是我用来标记 `expr`			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boqdqDp.html" rel="bookmark">日历-两个js代码放在一个页面中冲突</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 两个js代码放在一个页面中冲突 &lt;script&gt; $.fn.smartFloat = function() { var position = function(element) { var top = element.position().top, pos = element.css(&quot;position&quot;); $(window).scroll(function() { var scrolls = $(this).scrollTop(); if (scrolls &			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWdo4qp.html" rel="bookmark">Kickstarter上有款名为Noke的众筹项目很有意思</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要: 根据slashgear的报道,Kickstarter上有款名为Noke的众筹项目很有意思. Noke是一款 蓝牙智能挂锁 ,它的外部没有任何物理按键,解锁则是通过智能手机来实现的.Noke提供了适配的Android和 根据slashgear的报道,Kickstarter上有款名为Noke的众筹项目很有意思. Noke是一款蓝牙智能挂锁,它的外部没有任何物理按键,解锁则是通过智能手机来实现的.Noke提供了适配的Android和iOS应用,配对完成后用户就可以为每把门锁指定一个ID. 项目			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkVQldM.html" rel="bookmark">招行前行长马蔚华：我也用余额宝 每天看收益很有意思</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				永隆银行董事长(招行前行长)马蔚华:我也用余额宝理财我也试了一下,放几千元在 里面.挺有意思的,每天都能看到你的钱增加了多少,确实是大家很喜欢的东西.利率管制不会太久,将来要放开,但余额宝的出现会倒逼银行提前进入状态.本报讯(记者王鹤.李婧暄.刘冉冉.廖靖文.贺涵甫)&quot;我对互联网金融一向都很支持.&quot;昨日 下午, 全国政协委员.永隆银行董事长马蔚华接受本报记者专访谈起了最近大热的互联网金融.他说,他 看好互联网 金融发展,自己也用几千元尝试了余额宝理财,每天能看到收益很有意思.看好互联网			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1253p.html" rel="bookmark" class="title">Photoshop打造美女风景照</a>
					<div>
						最近扭转风格,没想到大获成功,现在应老大之约,把这个简单又漂亮的效果方法教给大家.因为这是第一次做教程, 可能有很多细节会漏掉,希望大家多多见谅. 原图 效果图 第一步:ctrl+j复制一层,一般要养 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkm37b.html" rel="bookmark" class="title">Fieldset 的美化</a>
					<div>
						样式一 代码如下: &lt;fieldset style=&quot;width:300;height:150;border:2px groove&quot; align=center&gt;&lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrDjmz.html" rel="bookmark" class="title">MS SQLServer OLEDB分布式事务无法启动的一般解决方案</a>
					<div>
						server|sqlserver|分布式|解决 本文属spanzhang原创,其blog地址为:http://blog.csdn.net/spanzhang.引用或转贴请注明出处,谢谢!! 服务器:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mx84mM.html" rel="bookmark" class="title">Photoshop制作非常有趣的背光剪影海报</a>
					<div>
						本教程的效果看上去非常简洁,也非常有艺术感.制作的方法也较为简单:制作之前需要找一幅日出或日落图片,然后把需要的主体素材抠出来,调成黑色后,贴到背景上面即可. 最终效果 1.用磁性套索工具套出大象,C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpmgwab.html" rel="bookmark" class="title">恢复被降权网站排名 有的放矢是关键</a>
					<div>
						在站长的圈子里有这样一个玩笑:请问站长每天起来第一件事是什么?上厕所?不是!穿衣服?不是!那是什么?答案是:看百度排名和收录!虽然看似无厘头,却是实实在在反映了大部分个人站长的情况,对百度的排名和收录 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx7LZb.html" rel="bookmark" class="title">如何使用Cisco Packer Tracer模拟器构建交换网络的三级结构</a>
					<div>
						公司现在承接一个企业网的搭建项目,经过现场勘测及充分与客户沟通,我建议改网络采用经典的三级网络架构,项目方案已经得到客户的认可,我来负责整个网络的实施. 通过下图我们可以清晰的看到,PC0.PC1处在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRA4Rz.html" rel="bookmark" class="title">Android版Skype应用更新 优化支持4倍视频通话分辨率</a>
					<div>
						微软已公布了Skype for Android的一项重大更新,并且把主要力量投放在了平板上面.用户现已可在Google Play市场中直接下载新版本.首先,Android平板用户迎来了一个全新的Sky ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2P0Bp.html" rel="bookmark" class="title">浅谈移动应用与PC应用的交互差异</a>
					<div>
						一)输入方式 智能手机和平板:使用点击.滑动.收缩和旋转等手势来模拟对屏幕上对象的直接操作. PC:使用键盘.鼠标及其他外接设备间接的实现对屏幕上对象的操作. 作为两种不同的输入方式,使用键盘.鼠标等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKnaoM.html" rel="bookmark" class="title">如何用PE修复瘫痪的系统</a>
					<div>
						把它安装在本机可以很方便地在Windows发生故障时进行有效的维护操作.不过,很多人在系统正常的时候并没有安装PE,等到系统发生严重故障无法进入时才想到它.有没有亡羊补牢的办法呢?有!下面就向大家介绍 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7DyjM.html" rel="bookmark" class="title">百度博客搜索如何提交博客网址</a>
					<div>
						  在博客搜索首页上点击&quot;提交我的博客&quot;,在提交框中输入您的博客地址或RSS地址,然后点击&quot;提交博客&quot;按钮即可. 百度博客搜索是全球最大的中文博客搜索引擎,全面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBK9EOM.html" rel="bookmark" class="title">Bartender条码打印方向是怎么回事</a>
					<div>
						  点击BarTender 10.1主菜单栏上的页面设置按钮,在弹出的&quot;页面设置&quot;对话框中,使用&quot;方向&quot;选项,可以指定打印机是按&quot;横向&quot;还是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24XXVp.html" rel="bookmark" class="title">Filter过滤器</a>
					<div>
						web.xml中元素执行的顺序listener-&gt;filter-&gt;struts拦截器-&gt;servlet. 1.过滤器的概念 Java中的Filter 并不是一个标准的Servlet  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1llAjb.html" rel="bookmark" class="title">webkit-Cygwin本地安装时，无法识别已下载的包，如何解决？</a>
					<div>
						问题描述 Cygwin本地安装时,无法识别已下载的包,如何解决? 为了编译WebKit,在windows上安装由官网给的下载器下载的Cygwin的部分包,在安装时无法识别到已下载的包? 无论选择的安装 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1llW9b.html" rel="bookmark" class="title">苹果闪电升级iWork 阻击Office入侵iOS</a>
					<div>
						[摘要]升级后,iWork支持视网膜显示器和分享文档,并能够在iCloud-Mail中直接打开文档. 腾讯科技 晨曦 4月2日编译微软发布 iPad版Office套件之后,媒体报道指出,微软Offic ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAN6KM.html" rel="bookmark" class="title">liunx step by step&lpar;3&rpar;</a>
					<div>
						由于我的ubuntu是装载在virtualbox的虚拟机中,怎么实现其中的数据的共享,显得非常的必要:额,具体这么办. 1.安装增强功能. 挂载光盘. 打开其相应的终端: fantlam@fantla ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydrOkb.html" rel="bookmark" class="title">linux-APUE3到底值不值得入手？</a>
					<div>
						问题描述 APUE3到底值不值得入手? APUE3 是2013出来的,原文描述如下:The four platforms used to test the examples in the book i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjvOyM.html" rel="bookmark" class="title">javascript-js闭包的问题，总是懵懵懂懂啊</a>
					<div>
						问题描述 js闭包的问题,总是懵懵懂懂啊 比如这个我是理解的,因为setTimeout是异步的,所以最后打出了10个10 for(var i = 0 ; i &lt; 10; i++){ setTim ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7JvRM.html" rel="bookmark" class="title">聚类 算法 源代码-推荐一种适用于聚类直线，二次函数这些数据的聚类算法</a>
					<div>
						问题描述 推荐一种适用于聚类直线,二次函数这些数据的聚类算法 请推荐一种聚类算法,适用于聚类直线,二次函数等任意线型数据 最好提供一个c++源代码地址					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmKVRM.html" rel="bookmark" class="title">【Scheme归纳】5 数据结构</a>
					<div>
						Scheme的数据结构 在前面的博文中我们使用了list等等,像其他的编程语言一样,Scheme也有字符(Character),字符串(String),符号(Symbol),向量(Vector)等数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwW2aWz.html" rel="bookmark" class="title">辽宁58亿元网络赌博案首犯被判刑15年</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 新华网沈阳7月8日电 辽宁省抚顺市 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Z5Nqz.html" rel="bookmark" class="title">谢谢-如果父类中有有参构造方法，子类不主动继承会怎么样</a>
					<div>
						问题描述 如果父类中有有参构造方法,子类不主动继承会怎么样 在java中,如果父类中有有参构造方法,子类不主动继承会怎么样. 解决方案 写段代码试试不就知道了? 会编译失败. 解决方案二: 没事啊,由 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRQ5Zp.html" rel="bookmark" class="title">IROS多项奖项公布！中国队伍称雄抓取竞赛，华人学生获最佳学生论文奖</a>
					<div>
						9月27日,在温哥华举行的第30届IROS大会进入正会最后一天,在当天中午,大会也颁布了多项奖项. 颁布的奖项包括:IROS创新技术奖.IROS杰出服务奖.IROS青年专家奖.JTCF娱乐文化最佳技术 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZAoOp.html" rel="bookmark" class="title">在B&sol;S下发送邮件带附件时，后台报错Database already contains a document with this ID &lpar;UNID&rpar;</a>
					<div>
						问题描述 R7的邮件模板,新建邮件,当附件比较小的时候,发送保存给自己,正常,当附件达到2M左右时后台提示:第一句,邮件成功发送给Admin,第二句应该是,数据库中已经存在该ID(UNID)的文档)2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLYqRM.html" rel="bookmark" class="title">语言 编程-现在不知道该学那种什么语言？求各位大牛前辈们指点一二。。</a>
					<div>
						问题描述 现在不知道该学那种什么语言?求各位大牛前辈们指点一二.. 我是一个大四的毕业生,学过Java/android,c/c++都学过,但是都不是很精通.现在马上毕业了,对现在的市场需求状况还不是很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrq67jb.html" rel="bookmark" class="title">Ayla艾拉物联基于AWS构建IoT艾拉云</a>
					<div>
						:Ayla艾拉物联有一个非常好听的英文名&quot;Ayla&quot;,名字的由来也非常奇妙,是两位联合创始人孩子第二个字母的组合,所以几位创始人同样把艾拉物联当做自己孩子一样看待. 但在IoT(物 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0N86Jz.html" rel="bookmark" class="title">C&plus;&plus;编程指向成员的指针以及this指针的基本使用指南&lowbar;C 语言</a>
					<div>
						指向成员的指针指向成员的指针的声明是指针声明的特例.使用以下序列来声明它们: [storage-class-specifiers] [cv-qualifiers] type-specifiers [m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEyx1z.html" rel="bookmark" class="title">PHP中date&lpar;&rpar;函数输出日期时间例子</a>
					<div>
						PHP可以通过date() 函数来显示服务器日期和时间,下面详细了解一下如何使用date()函数来输出日期: php date() 函数详解 1,年-月-日  代码如下 复制代码 echo date( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bByY1Jz.html" rel="bookmark" class="title">中青报调查：超九成人认为公款喝高酒价</a>
					<div>
						国内高端白酒价格涨声不断 &lt;中国青年报&gt;对5680人在线调查 超九成人称 公款喝高酒价 春节前后,国内高端白酒价格涨声不断.茅台宣布,自2011年1月1日起上调产品出厂价20%左右.曾声明 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWmDZM.html" rel="bookmark" class="title">Teiid 8&period;13 Beta1 发布，支持 WildFly 9&period;0&period;2&period;Final</a>
					<div>
						Teiid 8.13 Beta1 发布,此版本支持 WildFly 9.0.2.Final.下载: http://teiid.jboss.org/downloads/ 此版本修复了之前版本关于 soc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyKqR8z.html" rel="bookmark" class="title">2013级学生两学期编程量统计</a>
					<div>
						2013级学生C++程序设计课程结束了.期末的考试换作了开卷的在线考试,而不用再纸上谈兵,这将更有利于同学们将学习的焦点放在真正提高能力上. 在我的教学方式中,OJ题目所要达到的目标,仍然不是全部.利 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
